UI::Util::AutoRemoveFile Class Reference

Guarantuee to run "remove(2)" on path in destructor. More...

`#include <File.hpp>`

Collaboration diagram for UI::Util::AutoRemoveFile:

## Public Member Functions

| AutoRemoveFile (std::string const &path)
std::string const & | operator() () const

## Detailed Description

Guarantuee to run "remove(2)" on path in destructor.

The documentation for this class was generated from the following files:

- File.hpp
- File.cpp